GET
Fetch lightning onchain transactions
This API call is used to fetch current lightning onchain transactions.
Path Params
-
walletIdstring required
Query Params
-
blockHeightstring number -
limitstring number -
startDatestring date-time -
endDatestring date-time -
prevIdstring
Responses
200
OK
Response Body
object
-
transactionsarray of objects requiredtransactions object
-
idstring required -
normalizedTxHashstring required -
blockHeightnumber required -
inputIdsobject required -
entriesobject required -
inputsobject required -
outputsobject required -
sizenumber required -
datestring date-time required -
feenumber required -
feeStringstring required -
hexstring required -
confirmationsnumber required -
blockHashstring -
blockPositionnumber -
labelstring
-
-
nextBatchPrevIdstringThis is the transaction ID from the last item in the current batch. Providing this value as the prevId in the next request will return the next batch of transactions.
400
Bad Request
Response Body
ONE OF
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
-
namestring enum requiredInvalidWalletId -
contextobject requiredcontext object
-
idstring required
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestring enum requiredInvalidWalletId -
contextobject requiredcontext object
-
idstring required
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id